<!-- rechargeList 充值列表 -->
<template>
  <div>

    <div>
      <van-tabs v-model="active" :color="m_color" @change="changeTab">
        <van-tab v-for="(item ,i ) in tabList" :key="i" :title="item.name"></van-tab>
      </van-tabs>

      <div class="mes_items pt10">
        <van-list v-model="list_loading" :finished="list_finished" @load="m_loadList">
          <div class="mes_item" v-for="(item , i ) in m_data" :key="i">
            <div class="mes_item-content">
              <p class="mes_item-content-i flex flex-m flex-b"><span class="meg_item_label">{{$t('record_no')}}：</span>{{item.recharge_no}}</p>
              <p class="mes_item-content-i flex flex-m flex-b"><span class="meg_item_label">{{$t('type')}}：</span>{{item.status | type}}</p>
              <p class="mes_item-content-i flex flex-m flex-b"><span class="meg_item_label">金额：</span>{{item.amount}}</p>
              <p class="mes_item-content-i flex flex-m flex-b"><span class="meg_item_label">{{$t('created_at')}}：</span>{{item.created_at}}</p>
              <p class="mes_item-content-i flex flex-m flex-b">
                <span class="meg_item_label">凭证：</span>
                <span class="tr pt10"><img @click="showImg(item.credit,index)" class="c-img" v-for="(img , index ) in item.credit" :src="img" alt=""></span>
              </p>
              <p class="mes_item-content-i flex flex-m flex-b"><span class="meg_item_label">{{$t('remark')}}：</span>{{item.remark}}</p>
              <p class="mes_item-content-i  flex flex-m tr flex-r" v-if="item.status=='0'">
                <van-button @click="recharge_cancel(item)" size="mini" type="danger">撤回</van-button>
              </p>

            </div>

          </div>
        </van-list>

        <nodata v-if="!m_hasData&&!list_loading" />

      </div>

    </div>

  </div>
</template>

<script>
import { ImagePreview } from 'vant';
export default {
  name: 'rechargeList',
  data() {
    return {
      active: 0,
      tabList: [],
      search: {
        status: ''
      },

    }
  },
  mounted() {
    let tabList = this.getBaseData({ module: 'recharge', key_name: 'status' })
    tabList = [...[{ id: '', name: '全部' }], ...tabList]
    this.tabList = tabList
    this.search.status = this.tabList[this.active].id
    this.m_loadList()


  },
  methods: {
    changeTab(index, title) {
      this.search.status = this.tabList[this.active].id
      this.clearScrollResult()
      this.m_loadList()
    },

    getDataList() {
      return this.api.recharge(Object.assign(this.m_pageInfo, this.search)).then(res => {
        this.total_credit = res.data.total_credit
        this.credit = res.data.credit
        this.m_data = [...this.m_data, ...res.data.data]
        return res

      })
    },

    showImg(images, startPosition = 0) {
      ImagePreview({ images, startPosition })
    },

    recharge_cancel(row, index) {
      let data = {
        id: row.id,
        status: '-1'
      }

      this.$dialog.confirm({
        title: '提示',
        message: '是否确定撤销该记录'
      }).then(() => {
          this.m_loading()
         this.api.recharge_cancel(data).then(res=>{
              this.m_hideLoading()
              this.m_toast('撤销成功')
              this.m_data.splice(index,1)

         })
      }).catch(() => {
        // on cancel
      });

     
    },

  },
  filters: {
    type(v) {
      let type = []
      try {
        let baseData = JSON.parse(sessionStorage['baseData'])
        type = baseData.filter(i => i.module == 'recharge' && i.key_name == 'status')
      } catch (error) { }
      let obj = type.filter(i => i.id == v)
      if (obj.length) {
        return obj[0].name
      } else {
        return '未知'
      }


    },


  }
}

</script>
<style lang='scss' scoped>
.m_heard {
  font-size: 0.32rem;
  padding-top: 0.7rem;
  box-sizing: border-box;
  line-height: 0.5rem;
}

.c-img {
  width: 1rem;
  height: 1rem;
  margin-right: 0.15rem;
  margin-bottom: 0.15rem;
}
</style>